# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bijection.pm) perl(Catalyst/Runtime.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(JSON.pm) perl(Module/Metadata.pm) perl(Moose.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name Catalyst-Plugin-Shorten
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: The great ancient URI shortner!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
use Catalyst qw/
__Shorten
__Shorten::Store::Dummy
_/;

_sub auto :Path :Args(0) {
__my ($self, $c) = @_;
__$c->shorten_extract; # checks whether the shorten param exists if it does merges the stored params into the request
_}

_........

_sub endpoint :Chained('base') :PathPart('ending') :Args('0') {
__my ($self, $c) = @_;

__my $str = $c->shorten(); # returns bijection references to an ID in the store.
__my $url = $c->shorten(as_uri => 1); # return a url to the current endpoint replacing all params with localhost:300/ending?s=GH
_}

_-------

_use Catalyst qw/
__Shorten
__Shorten::Store::Dummy
_/;

___PACKAGE__->config(
__......
__'Plugin::Shorten' => {
___set => [qw/c b a ..../],
___map => {
____params => 'data',
____uri => 'url',
____s => 'g'
___}
__}
_);

_package TestApp::Controller::Shorten;

_use Moose;
_use namespace::autoclean;

_BEGIN {
__extends 'Catalyst::Controller';
_}

_sub g :Chained('/') :PathPart('g') :Args('1') {
__my ($self, $c, $cap) = @_;
__$c->shorten_redirect(g => $cap);
_}

___PACKAGE__->meta->make_immutable;

_1;

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

